Get a list of immunizations
get
/Immunization
Note: The FHIR API endpoints described below are available for customers to deploy and use. Developers are welcome and encouraged to develop against the specifications in anticipation of customer deployment.
Retrieves a list of immunizations that meet the supplied query parameters.
- Provide
_idorpatient, not both.
Request
Query Parameters
-
_count: integer
Minimum Value:
1The maximum number of results per page.Default Value:50 -
_id: string
The logical resource ID.
-
_lastUpdated: array[string]
Minimum Number of Items:
1Maximum Number of Items:2One date constraint or a lower and upper date range. -
_revinclude: string
The inclusion of related Provenance resources that target returned immunizations.Allowed Values:
[ "Provenance:target" ] -
date: array[string]
Minimum Number of Items:
1Maximum Number of Items:2One occurrence-date constraint or a lower and upper range. -
patient: string
The patient reference or ID.
-
target-disease: string
The target-disease token or comma-separated token list.
Header Parameters
-
accept(required): string
The media type to be requested.
Example:
application/fhir+json -
authorization(required): string
The OAuth 2.0 Bearer token used to authenticate the request.
There's no request body for this operation.
Back to TopResponse
200 Response
The successful search response.
Root Schema : schema
Type:
Show Source
object-
entry: array
entry
-
id(required): string
-
link: array
link
-
resourceType(required): string
Allowed Values:
[ "Bundle" ] -
total: integer
Minimum Value:
0The number of match entries on the current page. -
type(required): string
Nested Schema : BundleEntryForImmunization
Type:
Show Source
object-
fullUrl: string
-
resource: object
resource
Additional Properties Allowed:
trueThe Immunization, Provenance, or OperationOutcome resource. -
search: object
BundleEntrySearch
Nested Schema : resource
Type:
objectAdditional Properties Allowed:
trueThe Immunization, Provenance, or OperationOutcome resource.
Nested Schema : BundleLink
Type:
Show Source
object-
relation: string
Allowed Values:
[ "self", "next", "previous" ]The link relation. -
url: string
The link URL.
Default Response
An OperationOutcome
describing any error that occurred.
Root Schema : OperationOutcome
Type:
objectThe FHIR OperationOutcome.
Show Source
-
issue: array
issue
The OperationOutcome issues.
-
resourceType: string
Allowed Values:
[ "OperationOutcome" ]The FHIR resource type.
Nested Schema : CodeableConcept
Type:
Show Source
object-
coding: array
coding
The terminology codings or data-absent-reason coding.
-
id: string
-
text: string
The human-readable medication name.
Nested Schema : coding
Type:
arrayThe terminology codings or data-absent-reason coding.
Show Source